LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-21-2015, 06:16 PM   #1
amarquessbr
LQ Newbie
 
Registered: Jan 2015
Location: Brazil
Distribution: Centos 7
Posts: 5

Rep: Reputation: Disabled
Kernel compilation don't work


I have a own compilation of 3.16.2 kernel working fine in my pavilion 14, it is working fine, but the "Ralink corp. RT3290" driver for bluetooth dont is configured, so, I try to compile a new stabtle version, first the 3.16.3 and now the 3.18.3, but it do not boot, what I have to do to get it work?

thank's

peace
 
Old 01-21-2015, 11:29 PM   #2
jpollard
Senior Member
 
Registered: Dec 2012
Location: Washington DC area
Distribution: Fedora, CentOS, Slackware
Posts: 4,655

Rep: Reputation: 1256Reputation: 1256Reputation: 1256Reputation: 1256Reputation: 1256Reputation: 1256Reputation: 1256Reputation: 1256Reputation: 1256
Depends on what went wrong.

We will need a lot more information before diagnosis. What distribution, what platform, what boot procedure, did you update the boot, did you install the kernel, what error messages?
 
Old 01-22-2015, 06:23 AM   #3
amarquessbr
LQ Newbie
 
Registered: Jan 2015
Location: Brazil
Distribution: Centos 7
Posts: 5

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by jpollard View Post
Depends on what went wrong.

We will need a lot more information before diagnosis. What distribution, what platform, what boot procedure, did you update the boot, did you install the kernel, what error messages?
First of all, thank you for reply!
Ok...

- The Distribution is Centos 7.
- The platform is a hp pavilion 14 - core i5, x86_64
- The boot procedure is grub2
- Yes, I update the grub with "grub2-install /dev/sda"
- Yes, I got the kernel 3.18.3 from the "kernel.org" website, unpack the tar file normally with root privileges and then configure using "# make menuconfig", because others bad experience with others versions of kernel: "3.16.3", "3.18.3" the last, I do not configure anything, e.g, just save the configuration and then exit, and then I use "# make && make modules_install && make install", after conclude, I update the boot with the grub2-install command.
- The message when I try to boot with the new compiled kernel is:
"[ 0.747342] sound hdaudioC0D0: No codec parser is avalaible
[ 0.751454] sound hdaudioC1D0: No codec parser is avalaible

Entering emergency mode. Exit the Sell to continue
Type "journalctl" to view system logs. ..."

so i type exit in the prompt, the appear:

"systemd-fsk[1971]: /sbin/fsk.xfs: XFS file system. ..."

but my atual kernel in this machine is the 3.16.2 with I have compiled it normally using the same way with I try to compile these kernel version which have problem.

the image attached is my terminal when the compilation is concluded

thank's
Attached Thumbnails
Click image for larger version

Name:	Screenshot from 2015-01-22 08:40:33.png
Views:	12
Size:	65.1 KB
ID:	17394  
 
Old 01-22-2015, 12:41 PM   #4
jpollard
Senior Member
 
Registered: Dec 2012
Location: Washington DC area
Distribution: Fedora, CentOS, Slackware
Posts: 4,655

Rep: Reputation: 1256Reputation: 1256Reputation: 1256Reputation: 1256Reputation: 1256Reputation: 1256Reputation: 1256Reputation: 1256Reputation: 1256
What was in the logs? Were the kernel parameters specified in the configuration file the same/similar to the one used by the working kernel?

The codec messages are just warnings - and likely you were getting them with the working kernel too, but I can't tell (someone more familiar with audio configurations might).

It looks (but again I can't tell for sure with systemd) that systemd is hung.
 
Old 01-22-2015, 01:28 PM   #5
amarquessbr
LQ Newbie
 
Registered: Jan 2015
Location: Brazil
Distribution: Centos 7
Posts: 5

Original Poster
Rep: Reputation: Disabled
Hi Friend

am pissed with this, because I don't understand why work with a version and not with another, and also because I don't remember what config I made with the 3.16.2 version. No problems, the 3.16.2 is work fine here, the problem is: when the system got a automatic update, the kernel downloaded by it is the 3.10.xxx, and the bluethooth which is not installed and the mouseweel do not work, and it is the reason which I try to compile a more actualized version, so what I need to know specifically is to know what driver I need to choose in the "config screen" to make my hp pavilion 14 work with all your drivers or if have another RHEL based distro which is really actualized by they repositories or maybe I wait for the rpmfusion to public they repositories to the el7 version, if it will be actualize.

peace!

Last edited by amarquessbr; 01-22-2015 at 01:43 PM.
 
Old 01-22-2015, 02:19 PM   #6
propofol
Member
 
Registered: Nov 2007
Location: Seattle
Distribution: Debian Wheezy & Jessie; Ubuntu
Posts: 331

Rep: Reputation: 59
Did you copy the config file from the working version? If not maybe try getting a old config file from /boot or /proc followed by 'make oldconfig'.
 
Old 01-22-2015, 02:28 PM   #7
amarquessbr
LQ Newbie
 
Registered: Jan 2015
Location: Brazil
Distribution: Centos 7
Posts: 5

Original Poster
Rep: Reputation: Disabled
Hi @propofol

Ho! So, if I type "make oldconfig" is to get a config file from my running kernel?
I did not know that, ok I will try it

thank you!

peace!
 
Old 01-22-2015, 02:40 PM   #8
joe_2000
Member
 
Registered: Jul 2012
Location: Aachen, Germany
Distribution: Void, Debian
Posts: 812

Rep: Reputation: 216Reputation: 216Reputation: 216
Quote:
Originally Posted by amarquessbr View Post
Hi @propofol

Ho! So, if I type "make oldconfig" is to get a config file from my running kernel?
I did not know that, ok I will try it

thank you!

peace!
You should first copy the .config of your running kernel into the kernel source directory. You can probably find it in /boot. Make sure that when you copy it to the kernel source dir it's named .config.
Then it will only ask you questions reqarding things that have changed. The default choice is typically fine.
I would recommend to first try an get the kernel compiled and running that you want to use.
Then start tinkering with settings to get additional drivers running.
Go step by step.
 
1 members found this post helpful.
Old 01-22-2015, 08:21 PM   #9
amarquessbr
LQ Newbie
 
Registered: Jan 2015
Location: Brazil
Distribution: Centos 7
Posts: 5

Original Poster
Rep: Reputation: Disabled
Thumbs up

thank's for all
special thank for @joe_2000, your tip make this shit work, (hahaha)!!!
Attached Thumbnails
Click image for larger version

Name:	Screenshot from 2015-01-22 23:11:36.png
Views:	10
Size:	17.9 KB
ID:	17405  
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Struggling trying to work out aufs2 compilation for kernel 2.6.30 barneylyons Linux - Newbie 5 08-13-2009 08:16 AM
Slackware with kernel 2.6, Don't work ? kevkim55 Slackware 6 03-12-2006 02:31 AM
program compiled under kernel <=2.4 don't work under kernel 2.6 mihaimdl Linux - Software 3 11-08-2005 07:09 PM
dhcpcd don't work for new kernel warwolf Linux - Networking 4 05-29-2005 07:31 AM
Kernel 2.6 eterm xterm don't work b0rcked Debian 5 04-03-2004 07:49 PM


All times are GMT -5. The time now is 01:50 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration